Bug 729871 - Pairing Bluetooth Mouse causes oops
Pairing Bluetooth Mouse causes oops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 02:19 EDT by Zahir Toufie
Modified: 2013-04-29 20:31 EDT (History)
9 users (show)

See Also:
Fixed In Version: kernel 3.8.9-200.fc18 and bluez 4.101-6.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 866707 (view as bug list)
Environment:
Last Closed: 2013-04-29 20:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel Stack Trace from /var/log/messages (7.49 KB, text/plain)
2011-08-11 02:19 EDT, Zahir Toufie
no flags Details
lsusb -n Details (47.54 KB, text/plain)
2012-10-15 19:46 EDT, Zahir Toufie
no flags Details
lspci -v Details (6.57 KB, text/plain)
2012-10-15 19:48 EDT, Zahir Toufie
no flags Details

  None (edit)
Description Zahir Toufie 2011-08-11 02:19:08 EDT
Created attachment 517738 [details]
Kernel Stack Trace from /var/log/messages

Description of problem:
Whenever I try and pair my Acer Bluetooth Optical Rechargeable Mouse under KDE I get the attached stack track n /var/log/messages, rendering my mouse unusable.

Version-Release number of selected component (if applicable):
kernel-headers-2.6.40-4.fc15.x86_64
abrt-addon-kerneloops-2.0.3-1.fc15.x86_64
kernel-2.6.40-4.fc15.x86_64
kernel-devel-2.6.40-4.fc15.x86_64
bluez-4.87-7.fc15.x86_64
bluez-cups-4.87-7.fc15.x86_64
pulseaudio-module-bluetooth-0.9.22-5.fc15.x86_64
gnome-bluetooth-3.0.1-1.fc15.x86_64
libbluedevil-1.9-0.1.20110502git.fc15.x86_64
bluedevil-1.1-2.fc15.x86_64
gnome-bluetooth-libs-3.0.1-1.fc15.x86_64
bluez-libs-4.87-7.fc15.x86_64

How reproducible:
Everytime.

Steps to Reproduce:
1. Right click bluedevil icon in KDE and select Add Device
2. Click sync button on mouse and device is found.
3. Select device and click next.
4. In subsequent window, Input Device is automatically selected and click Finish.
5. After a few seconds the kernel GPF stack trace is evident in /var/log/messages.
  
Actual results:
Device is not paired and bluedevil/bluetoothd seems broken is it doesn't respond any further.

Expected results:
Mouse should pair and work as required.

Additional info:
The initial Trust and Authorization popup also fails even though I selected the "Trust and Authorise" option. So I'm not entirely sure if it's just a kernel bug or a KDE bug as well, so there may be multiple issues here.
Comment 1 Zahir Toufie 2011-09-11 01:31:28 EDT
Tested with kernel-2.6.40.4-5.fc15.x86_64 and the problem still persists.
Comment 2 Chuck Ebbert 2011-09-14 11:21:34 EDT
Please post the trace from 2.6.40.4-5 - I don't have the older debuginfo installed anymore.
Comment 3 Zahir Toufie 2011-09-14 18:39:21 EDT
I tried the mouse again with the new kernel over the weekend and got the appended trace for this kernel

2.6.40.4-5.fc15.x86_64 #1 SMP Tue Aug 30 14:38:32 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Sep 11 15:21:06 zahir-acer kernel: [ 4277.223374] VFS: Close: file count is 0
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223389] BUG: unable to handle kernel NULL pointer dereference at           (null)
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223394] IP: [<ffffffff81488067>] _raw_spin_lock_irqsave+0x17/0x2f
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223401] PGD 0 
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223402] Oops: 0002 [#1] SMP 
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223405] CPU 3 
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223406] Modules linked in: michael_mic arc4 hidp ppdev parport_pc lp parport ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat sunrpc xt_CHECKSUM iptable_mangle bridge stp llc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state rfcomm nf_conntrack ip6_tables bnep fuse snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec btusb snd_hwdep snd_seq snd_seq_device lib80211_crypt_tkip wl(P) bluetooth fglrx(P) snd_pcm acer_wmi snd_timer snd soundcore snd_page_alloc sparse_keymap xhci_hcd r8169 mii uvcvideo videodev media rfkill iTCO_wdt iTCO_vendor_support v4l2_compat_ioctl32 lib80211 serio_raw i2c_i801 joydev microcode virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223449] 
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223451] Pid: 11524, comm: khidpd_04580058 Tainted: P            2.6.40.4-5.fc15.x86_64 #1 Acer Aspire 8950G/SM80_HR
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223455] RIP: 0010:[<ffffffff81488067>]  [<ffffffff81488067>] _raw_spin_lock_irqsave+0x17/0x2f
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223458] RSP: 0018:ffff88016a847d88  EFLAGS: 00010046
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223460] RAX: 0000000000000246 RBX: 0000000000000000 RCX: 0000000000000000
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223461] RDX: 0000000000010000 RSI: ffff88016a847e80 RDI: 0000000000000000
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223463] RBP: ffff88016a847d90 R08: 0000000000000100 R09: ffffffff81b4a580
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223465] R10: ffffffff81136e77 R11: 0000000000000000 R12: 0000000000000002
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223467] R13: ffff88016a847e80 R14: ffff88016a847e80 R15: ffff88020a4e06e8
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223469] FS:  0000000000000000(0000) GS:ffff88023f4c0000(0000) knlGS:0000000000000000
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223472] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223474] CR2: 0000000000000000 CR3: 0000000001a03000 CR4: 00000000000406e0
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223476] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223479] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223481] Process khidpd_04580058 (pid: 11524, threadinfo ffff88016a846000, task ffff8800a2432e60)
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223483] Stack:
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223485]  0000000000000000 ffff88016a847dd0 ffffffff81070494 ffff8801fb5fb800
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223489]  ffff88020a4e0600 ffff88020a4e0600 00000000000001f4 ffff8801fb5f9400
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223492]  ffff88016a847e80 ffff88016a847ee0 ffffffffa018860a ffff88016a847e40
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223495] Call Trace:
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223499]  [<ffffffff81070494>] prepare_to_wait+0x25/0x78
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223503]  [<ffffffffa018860a>] hidp_session+0x791/0x80b [hidp]
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223508]  [<ffffffff810086fa>] ? __switch_to+0xc6/0x220
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223522]  [<ffffffff8104ce17>] ? try_to_wake_up+0x1c8/0x1c8
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223529]  [<ffffffff8104ce17>] ? try_to_wake_up+0x1c8/0x1c8
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223536]  [<ffffffff81070566>] ? remove_wait_queue+0x3a/0x3a
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223546]  [<ffffffffa0187e79>] ? hidp_set_timer+0x2f/0x2f [hidp]
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223560]  [<ffffffff8106fe77>] kthread+0x84/0x8c
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223563]  [<ffffffff8148f964>] kernel_thread_helper+0x4/0x10
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223565]  [<ffffffff8106fdf3>] ? kthread_worker_fn+0x148/0x148
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223569]  [<ffffffff8148f960>] ? gs_change+0x13/0x13
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223571] Code: b6 c0 5d c3 55 48 89 e5 66 66 66 66 90 e8 e6 b4 bf ff 5d c3 55 48 89 e5 53 66 66 66 66 90 48 89 fb e8 88 b4 bf ff ba 00 00 01 00 <f0> 0f c1 13 0f b7 ca c1 ea 10 39 d1 74 07 f3 90 0f b7 0b eb f5 
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223630] RIP  [<ffffffff81488067>] _raw_spin_lock_irqsave+0x17/0x2f
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223635]  RSP <ffff88016a847d88>
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223637] CR2: 0000000000000000
Sep 11 15:21:06 zahir-acer kernel: [ 4277.223640] ---[ end trace 1b4394cc6028d6fa ]---
Comment 4 Dave Jones 2012-03-05 17:26:18 EST
is this still happening in the latest updates ?
Comment 5 umely 2012-04-10 10:19:26 EDT
This is still, has still, and be still. Between 2.6.20 and 2.6.38 this bag fixed, but in 2.6.39 was returned in kernel, and why...
To the present time are not fixed.
Comment 6 umely 2012-04-10 10:23:00 EDT
My kernel.log

Apr  9 22:54:49 kernel: [   81.356071] BUG: unable to handle kernel NULL pointer dereference at           (null)
Apr  9 22:54:49 kernel: [   81.356167] IP: [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.356236] PGD 872c2067 PUD 872c1067 PMD 0 
Apr  9 22:54:49 kernel: [   81.356286] Oops: 0002 [#1] SMP 
Apr  9 22:54:49 kernel: [   81.356325] CPU 0 
Apr  9 22:54:49 kernel: [   81.356345] Modules linked in: hidp hid dm_crypt parport_pc ppdev snd_hda_codec_realtek pcmcia snd_hda_intel snd_hda_codec snd_hwdep mmc_block snd_pcm arc4 snd_seq_midi rfcomm snd_rawmidi b43 snd_seq_midi_event yenta_socket snd_seq pcmcia_rsrc joydev bnep snd_timer tifm_sd snd_seq_device tifm_7xx1 tifm_core pcmcia_core snd btusb uvcvideo mac80211 videodev v4l2_compat_ioctl32 acer_wmi soundcore coretemp mac_hid snd_page_alloc bluetooth sparse_keymap psmouse cfg80211 serio_raw bcma lp parport i915 drm_kms_helper drm i2c_algo_bit sky2 video wmi ssb
Apr  9 22:54:49 kernel: [   81.356849] 
Apr  9 22:54:49 kernel: [   81.356860] Pid: 1915, comm: khidpd_04580058 Not tainted 3.2.11-030211-generic #201203131335 Acer, inc. Aspire 5570     /Prespa1         
Apr  9 22:54:49 kernel: [   81.356924] RIP: 0010:[<ffffffff8103dff9>]  [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.356966] RSP: 0018:ffff88007865fd80  EFLAGS: 00010086
Apr  9 22:54:49 kernel: [   81.356993] RAX: 0000000000010000 RBX: 0000000000000286 RCX: ffff8800bf413740
Apr  9 22:54:49 kernel: [   81.357025] RDX: 0000000000000000 RSI: 0000000000000286 RDI: 0000000000000000
Apr  9 22:54:49 kernel: [   81.357058] RBP: ffff88007865fd80 R08: ffff88007865e000 R09: 0000000000002e29
Apr  9 22:54:49 kernel: [   81.357091] R10: 0000000000000001 R11: 0000000000000001 R12: ffff88007865fe20
Apr  9 22:54:49 kernel: [   81.357124] R13: ffff88007865fe38 R14: ffff8800871d18b8 R15: ffff8800871d1800
Apr  9 22:54:49 kernel: [   81.357157] FS:  0000000000000000(0000) GS:ffff8800bf400000(0000) knlGS:0000000000000000
Apr  9 22:54:49 kernel: [   81.357196] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Apr  9 22:54:49 kernel: [   81.357223] CR2: 0000000000000000 CR3: 00000000872bf000 CR4: 00000000000006f0
Apr  9 22:54:49 kernel: [   81.358999] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Apr  9 22:54:49 kernel: [   81.360027] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Apr  9 22:54:49 kernel: [   81.360027] Process khidpd_04580058 (pid: 1915, threadinfo ffff88007865e000, task ffff8800785944a0)
Apr  9 22:54:49 kernel: [   81.360027] Stack:
Apr  9 22:54:49 kernel: [   81.360027]  ffff88007865fd90 ffffffff8103e0a9 ffff88007865fdb0 ffffffff8165009f
Apr  9 22:54:49 kernel: [   81.360027]  0000000000000000 ffff88007865fe20 ffff88007865fde0 ffffffff8108c291
Apr  9 22:54:49 kernel: [   81.360027]  ffff8800873f2400 ffff88007865fe20 ffff8800873f2400 0000000000000000
Apr  9 22:54:49 kernel: [   81.360027] Call Trace:
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8103e0a9>] default_spin_lock_flags+0x9/0x10
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165009f>] _raw_spin_lock_irqsave+0x2f/0x40
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108c291>] finish_wait+0x41/0x90
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffffa042856f>] hidp_session+0x46f/0x520 [hidp]
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108c120>] ? wake_up_bit+0x40/0x40
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8105f920>] ? try_to_wake_up+0x2c0/0x2c0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8105f920>] ? try_to_wake_up+0x2c0/0x2c0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffffa0428100>] ? hidp_process_transmit+0xe0/0xe0 [hidp]
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108bbc6>] kthread+0x96/0xa0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165a6f4>] kernel_thread_helper+0x4/0x10
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108bb30>] ? kthread_worker_fn+0x190/0x190
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165a6f0>] ? gs_change+0x13/0x13
Apr  9 22:54:49 kernel: [   81.360027] Code: 00 00 48 c7 c2 fe dd 03 81 48 c7 c1 01 de 03 81 e9 dd fe ff ff 90 90 90 90 90 90 90 90 90 90 90 90 90 55 b8 00 00 01 00 48 89 e5 <f0> 0f c1 07 89 c2 c1 ea 10 66 39 c2 74 13 66 0f 1f 84 00 00 00 
Apr  9 22:54:49 kernel: [   81.360027] RIP  [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.360027]  RSP <ffff88007865fd80>
Apr  9 22:54:49 kernel: [   81.360027] CR2: 0000000000000000
Apr  9 22:54:49 kernel: [   81.414077] ---[ end trace d35520aa7e37ab9d ]---
Comment 7 umely 2012-04-10 11:26:46 EDT
My kernel.log

Apr  9 22:54:49 kernel: [   81.356071] BUG: unable to handle kernel NULL pointer dereference at           (null)
Apr  9 22:54:49 kernel: [   81.356167] IP: [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.356236] PGD 872c2067 PUD 872c1067 PMD 0 
Apr  9 22:54:49 kernel: [   81.356286] Oops: 0002 [#1] SMP 
Apr  9 22:54:49 kernel: [   81.356325] CPU 0 
Apr  9 22:54:49 kernel: [   81.356345] Modules linked in: hidp hid dm_crypt parport_pc ppdev snd_hda_codec_realtek pcmcia snd_hda_intel snd_hda_codec snd_hwdep mmc_block snd_pcm arc4 snd_seq_midi rfcomm snd_rawmidi b43 snd_seq_midi_event yenta_socket snd_seq pcmcia_rsrc joydev bnep snd_timer tifm_sd snd_seq_device tifm_7xx1 tifm_core pcmcia_core snd btusb uvcvideo mac80211 videodev v4l2_compat_ioctl32 acer_wmi soundcore coretemp mac_hid snd_page_alloc bluetooth sparse_keymap psmouse cfg80211 serio_raw bcma lp parport i915 drm_kms_helper drm i2c_algo_bit sky2 video wmi ssb
Apr  9 22:54:49 kernel: [   81.356849] 
Apr  9 22:54:49 kernel: [   81.356860] Pid: 1915, comm: khidpd_04580058 Not tainted 3.2.11-030211-generic #201203131335 Acer, inc. Aspire 5570     /Prespa1         
Apr  9 22:54:49 kernel: [   81.356924] RIP: 0010:[<ffffffff8103dff9>]  [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.356966] RSP: 0018:ffff88007865fd80  EFLAGS: 00010086
Apr  9 22:54:49 kernel: [   81.356993] RAX: 0000000000010000 RBX: 0000000000000286 RCX: ffff8800bf413740
Apr  9 22:54:49 kernel: [   81.357025] RDX: 0000000000000000 RSI: 0000000000000286 RDI: 0000000000000000
Apr  9 22:54:49 kernel: [   81.357058] RBP: ffff88007865fd80 R08: ffff88007865e000 R09: 0000000000002e29
Apr  9 22:54:49 kernel: [   81.357091] R10: 0000000000000001 R11: 0000000000000001 R12: ffff88007865fe20
Apr  9 22:54:49 kernel: [   81.357124] R13: ffff88007865fe38 R14: ffff8800871d18b8 R15: ffff8800871d1800
Apr  9 22:54:49 kernel: [   81.357157] FS:  0000000000000000(0000) GS:ffff8800bf400000(0000) knlGS:0000000000000000
Apr  9 22:54:49 kernel: [   81.357196] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Apr  9 22:54:49 kernel: [   81.357223] CR2: 0000000000000000 CR3: 00000000872bf000 CR4: 00000000000006f0
Apr  9 22:54:49 kernel: [   81.358999] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Apr  9 22:54:49 kernel: [   81.360027] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Apr  9 22:54:49 kernel: [   81.360027] Process khidpd_04580058 (pid: 1915, threadinfo ffff88007865e000, task ffff8800785944a0)
Apr  9 22:54:49 kernel: [   81.360027] Stack:
Apr  9 22:54:49 kernel: [   81.360027]  ffff88007865fd90 ffffffff8103e0a9 ffff88007865fdb0 ffffffff8165009f
Apr  9 22:54:49 kernel: [   81.360027]  0000000000000000 ffff88007865fe20 ffff88007865fde0 ffffffff8108c291
Apr  9 22:54:49 kernel: [   81.360027]  ffff8800873f2400 ffff88007865fe20 ffff8800873f2400 0000000000000000
Apr  9 22:54:49 kernel: [   81.360027] Call Trace:
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8103e0a9>] default_spin_lock_flags+0x9/0x10
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165009f>] _raw_spin_lock_irqsave+0x2f/0x40
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108c291>] finish_wait+0x41/0x90
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffffa042856f>] hidp_session+0x46f/0x520 [hidp]
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108c120>] ? wake_up_bit+0x40/0x40
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8105f920>] ? try_to_wake_up+0x2c0/0x2c0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8105f920>] ? try_to_wake_up+0x2c0/0x2c0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffffa0428100>] ? hidp_process_transmit+0xe0/0xe0 [hidp]
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108bbc6>] kthread+0x96/0xa0
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165a6f4>] kernel_thread_helper+0x4/0x10
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8108bb30>] ? kthread_worker_fn+0x190/0x190
Apr  9 22:54:49 kernel: [   81.360027]  [<ffffffff8165a6f0>] ? gs_change+0x13/0x13
Apr  9 22:54:49 kernel: [   81.360027] Code: 00 00 48 c7 c2 fe dd 03 81 48 c7 c1 01 de 03 81 e9 dd fe ff ff 90 90 90 90 90 90 90 90 90 90 90 90 90 55 b8 00 00 01 00 48 89 e5 <f0> 0f c1 07 89 c2 c1 ea 10 66 39 c2 74 13 66 0f 1f 84 00 00 00 
Apr  9 22:54:49 kernel: [   81.360027] RIP  [<ffffffff8103dff9>] __ticket_spin_lock+0x9/0x30
Apr  9 22:54:49 kernel: [   81.360027]  RSP <ffff88007865fd80>
Apr  9 22:54:49 kernel: [   81.360027] CR2: 0000000000000000
Apr  9 22:54:49 kernel: [   81.414077] ---[ end trace d35520aa7e37ab9d ]---
Comment 8 Josh Boyer 2012-04-10 13:10:38 EDT
(In reply to comment #6)
> My kernel.log
> 
> Apr  9 22:54:49 kernel: [   81.356071] BUG: unable to handle kernel NULL
> pointer dereference at           (null)
> Apr  9 22:54:49 kernel: [   81.356167] IP: [<ffffffff8103dff9>]
> __ticket_spin_lock+0x9/0x30
> Apr  9 22:54:49 kernel: [   81.356236] PGD 872c2067 PUD 872c1067 PMD 0 
> Apr  9 22:54:49 kernel: [   81.356286] Oops: 0002 [#1] SMP 
> Apr  9 22:54:49 kernel: [   81.356325] CPU 0 
> Apr  9 22:54:49 kernel: [   81.356345] Modules linked in: hidp hid dm_crypt
> parport_pc ppdev snd_hda_codec_realtek pcmcia snd_hda_intel snd_hda_codec
> snd_hwdep mmc_block snd_pcm arc4 snd_seq_midi rfcomm snd_rawmidi b43
> snd_seq_midi_event yenta_socket snd_seq pcmcia_rsrc joydev bnep snd_timer
> tifm_sd snd_seq_device tifm_7xx1 tifm_core pcmcia_core snd btusb uvcvideo
> mac80211 videodev v4l2_compat_ioctl32 acer_wmi soundcore coretemp mac_hid
> snd_page_alloc bluetooth sparse_keymap psmouse cfg80211 serio_raw bcma lp
> parport i915 drm_kms_helper drm i2c_algo_bit sky2 video wmi ssb
> Apr  9 22:54:49 kernel: [   81.356849] 
> Apr  9 22:54:49 kernel: [   81.356860] Pid: 1915, comm: khidpd_04580058 Not
> tainted 3.2.11-030211-generic #201203131335 Acer, inc. Aspire 5570     /Prespa1 

I don't know what that is, but it's not a Fedora kernel.  If you'd like to test the latest 2.6.43.1 Fedora kernel and let us know, please do.  Otherwise, you'll need to take your kernel builds to upstream.

Zahir, since you are the original reporter, are you still seeing this issue?
Comment 9 umely 2012-04-10 15:18:06 EDT
This is not in Fedora kernel, this is in linux kernel 2.6.39 and latest. What distro does not depend.
Comment 10 Josh Boyer 2012-04-10 15:49:32 EDT
(In reply to comment #9)
> This is not in Fedora kernel, this is in linux kernel 2.6.39 and latest. What
> distro does not depend.

We'll have to agree to disagree.  Fedora has at least one additional bluetooth patch applied to fix an oops.

At any rate, reporting your upstream bugs here is not the most expedient way to get them fixed.  As I said earlier, you should report your issue upstream.  I would recommend testing upstream 3.3.1 before you do.
Comment 11 Zahir Toufie 2012-04-11 04:20:15 EDT
Just checked this bug against

Linux zahir-acer.alludra.com 2.6.42.7-1.fc15.x86_64 #1 SMP Tue Feb 21 01:22:05 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I'm still getting a kernel crash when trying to pair the bluetooth mouse and the notebook.

Apr 11 18:10:00 zahir-acer kernel: [57143.073165] VFS: Close: file count is 0
Apr 11 18:10:00 zahir-acer kernel: [57143.572870] general protection fault: 0000 [#1] SMP 
Apr 11 18:10:00 zahir-acer kernel: [57143.572881] CPU 0 
Apr 11 18:10:00 zahir-acer kernel: [57143.572885] Modules linked in: tcp_lp tun hidp michael_mic arc4 ppdev parport_pc lp parport ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth r8169 fuse virtio_net mii acer_wmi uvcvideo sparse_keymap rfkill microcode lib80211_crypt_tkip snd_hda_codec_hdmi videodev media v4l2_compat_ioctl32 snd_hda_codec_realtek joydev wl(P) serio_raw i2c_i801 iTCO_wdt iTCO_vendor_support lib80211 fglrx(P) snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc kvm_intel kvm xts gf128mul dm_crypt wmi video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Apr 11 18:10:00 zahir-acer kernel: [57143.573018] 
Apr 11 18:10:00 zahir-acer kernel: [57143.573026] Pid: 19711, comm: khidpd_04580058 Tainted: P           O 2.6.42.7-1.fc15.x86_64 #1 Acer Aspire 8950G/SM80_HR
Apr 11 18:10:00 zahir-acer kernel: [57143.573037] RIP: 0010:[<ffffffff81605c3f>]  [<ffffffff81605c3f>] _raw_spin_lock_irqsave+0x1f/0x40
Apr 11 18:10:00 zahir-acer kernel: [57143.573055] RSP: 0018:ffff880299ba3da0  EFLAGS: 00010087
Apr 11 18:10:00 zahir-acer kernel: [57143.573060] RAX: 0000000000010000 RBX: 0000858000002300 RCX: 00000000000017b9
Apr 11 18:10:00 zahir-acer kernel: [57143.573065] RDX: 0000000000000287 RSI: ffff880299ba3e80 RDI: 0000858000002300
Apr 11 18:10:00 zahir-acer kernel: [57143.573071] RBP: ffff880299ba3da0 R08: ffff880299ba2000 R09: 0000000000000000
Apr 11 18:10:00 zahir-acer kernel: [57143.573076] R10: 0000000000000001 R11: 0000000000000000 R12: ffff880299ba3e80
Apr 11 18:10:00 zahir-acer kernel: [57143.573081] R13: ffff880299ba3e98 R14: ffff88040be85ae8 R15: ffff8804047d8070
Apr 11 18:10:00 zahir-acer kernel: [57143.573088] FS:  0000000000000000(0000) GS:ffff88043f400000(0000) knlGS:0000000000000000
Apr 11 18:10:00 zahir-acer kernel: [57143.573094] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Apr 11 18:10:00 zahir-acer kernel: [57143.573099] CR2: 00000039cca6a9c0 CR3: 0000000001c05000 CR4: 00000000000406f0
Apr 11 18:10:00 zahir-acer kernel: [57143.573104] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Apr 11 18:10:00 zahir-acer kernel: [57143.573110] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Apr 11 18:10:00 zahir-acer kernel: [57143.573116] Process khidpd_04580058 (pid: 19711, threadinfo ffff880299ba2000, task ffff880295948000)
Apr 11 18:10:00 zahir-acer kernel: [57143.573121] Stack:
Apr 11 18:10:00 zahir-acer kernel: [57143.573124]  ffff880299ba3dd0 ffffffff81090505 0000000000000000 ffff88040be85a00
Apr 11 18:10:00 zahir-acer kernel: [57143.573135]  ffff8804047de400 ffff88040be85ae8 ffff880299ba3ee0 ffffffffa0a4a045
Apr 11 18:10:00 zahir-acer kernel: [57143.573145]  ffff880295948000 0000000000000001 ffff880295948000 ffff88040be85b30
Apr 11 18:10:00 zahir-acer kernel: [57143.573155] Call Trace:
Apr 11 18:10:00 zahir-acer kernel: [57143.573169]  [<ffffffff81090505>] finish_wait+0x45/0x90
Apr 11 18:10:00 zahir-acer kernel: [57143.573181]  [<ffffffffa0a4a045>] hidp_session+0x585/0x9e0 [hidp]
Apr 11 18:10:00 zahir-acer kernel: [57143.573191]  [<ffffffff81065400>] ? try_to_wake_up+0x290/0x290
Apr 11 18:10:00 zahir-acer kernel: [57143.573198]  [<ffffffff81065400>] ? try_to_wake_up+0x290/0x290
Apr 11 18:10:00 zahir-acer kernel: [57143.573207]  [<ffffffff81090420>] ? remove_wait_queue+0x50/0x50
Apr 11 18:10:00 zahir-acer kernel: [57143.573216]  [<ffffffffa0a49ac0>] ? hidp_start+0x80/0x80 [hidp]
Apr 11 18:10:00 zahir-acer kernel: [57143.573224]  [<ffffffff8108fb7c>] kthread+0x8c/0xa0
Apr 11 18:10:00 zahir-acer kernel: [57143.573235]  [<ffffffff8160fb34>] kernel_thread_helper+0x4/0x10
Apr 11 18:10:00 zahir-acer kernel: [57143.573244]  [<ffffffff8108faf0>] ? kthread_worker_fn+0x190/0x190
Apr 11 18:10:00 zahir-acer kernel: [57143.573253]  [<ffffffff8160fb30>] ? gs_change+0x13/0x13
Apr 11 18:10:00 zahir-acer kernel: [57143.573256] Code: 00 10 00 74 05 e8 62 7e ce ff 5d c3 55 48 89 e5 66 66 66 66 90 9c 58 66 66 90 66 90 48 89 c2 fa 66 66 90 66 66 90 b8 00 00 01 00 <f0> 0f c1 07 89 c1 c1 e9 10 66 39 c1 74 0d 0f 1f 00 f3 90 0f b7 
Apr 11 18:10:00 zahir-acer kernel: [57143.573332] RIP  [<ffffffff81605c3f>] _raw_spin_lock_irqsave+0x1f/0x40
Apr 11 18:10:00 zahir-acer kernel: [57143.573341]  RSP <ffff880299ba3da0>
Apr 11 18:10:00 zahir-acer kernel: [57143.573348] ---[ end trace 9673344784e95b09 ]---

So long story short, yes it's still broken.
Comment 12 Zahir Toufie 2012-04-11 04:23:51 EDT
Here's the backtrace from abrt.

WARNING: at fs/sysfs/dir.c:481 sysfs_add_one+0xc1/0xf0()
Hardware name: Aspire 8950G
sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:11'
Modules linked in: tcp_lp tun hidp michael_mic arc4 ppdev parport_pc lp parport ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth r8169 fuse virtio_net mii acer_wmi uvcvideo sparse_keymap rfkill microcode lib80211_crypt_tkip snd_hda_codec_hdmi videodev media v4l2_compat_ioctl32 snd_hda_codec_realtek joydev wl(P) serio_raw i2c_i801 iTCO_wdt iTCO_vendor_support lib80211 fglrx(P) snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc kvm_intel kvm xts gf128mul dm_crypt wmi video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 19358, comm: kworker/u:29 Tainted: P      D W  O 2.6.42.7-1.fc15.x86_64 #1
Call Trace:
 [<ffffffff8106dd2f>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff8106de26>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff811ed981>] sysfs_add_one+0xc1/0xf0
 [<ffffffff811eda27>] create_dir+0x77/0xd0
 [<ffffffffa08e9430>] ? __match_tty+0x40/0x40 [bluetooth]
 [<ffffffff811edb2d>] sysfs_create_dir+0x7d/0xc0
 [<ffffffff812e217d>] kobject_add_internal+0xad/0x250
 [<ffffffff812eb523>] ? vsnprintf+0x443/0x5e0
 [<ffffffffa08e9430>] ? __match_tty+0x40/0x40 [bluetooth]
 [<ffffffff812e26b7>] kobject_add+0x67/0xc0
 [<ffffffff812ef0e0>] ? kvasprintf+0x70/0x90
 [<ffffffff813ba1d3>] device_add+0xc3/0x680
 [<ffffffffa08e9430>] ? __match_tty+0x40/0x40 [bluetooth]
 [<ffffffff813ba0eb>] ? device_private_init+0x5b/0x80
 [<ffffffffa08e9430>] ? __match_tty+0x40/0x40 [bluetooth]
 [<ffffffffa08e9493>] add_conn+0x63/0x120 [bluetooth]
 [<ffffffffa08e9430>] ? __match_tty+0x40/0x40 [bluetooth]
 [<ffffffff81089dbd>] process_one_work+0x11d/0x470
 [<ffffffff8108b1bf>] worker_thread+0x15f/0x350
 [<ffffffff8108b060>] ? manage_workers+0x230/0x230
 [<ffffffff8108fb7c>] kthread+0x8c/0xa0
 [<ffffffff8160fb34>] kernel_thread_helper+0x4/0x10
 [<ffffffff8108faf0>] ? kthread_worker_fn+0x190/0x190
 [<ffffffff8160fb30>] ? gs_change+0x13/0x13
Comment 13 Josh Boyer 2012-04-11 06:08:23 EDT
(In reply to comment #11)
> Just checked this bug against
> khidpd_04580058 Tainted: P           O 2.6.42.7-1.fc15.x86_64 #1 Acer Aspire

<snip>

> 
> So long story short, yes it's still broken.

I would expect it to be broken on that kernel version.  As I said in comment #8, we'd like you to test the latest 2.6.43.1 update for F15.
Comment 14 Zahir Toufie 2012-04-11 08:32:59 EDT
Tried 2.6.43.1, but it still crashes. In fact this kernel breaks my fglrx driver as well as KDE and causes a few run away processes too. All in all not a good experience.

BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff81617fbf>] _raw_spin_lock_irqsave+0x1f/0x40
PGD 0 
Oops: 0002 [#1] SMP 
CPU 6 
Modules linked in: hidp michael_mic arc4 ppdev parport_pc lp parport ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 rfcomm nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter ip6_tables nf_defrag_ipv4 xt_state nf_conntrack bnep fuse btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel uvcvideo snd_hda_codec videobuf2_core videodev snd_hwdep snd_seq virtio_net iTCO_wdt media v4l2_compat_ioctl32 videobuf2_vmalloc videobuf2_memops i2c_i801 joydev serio_raw iTCO_vendor_support r8169 mii acer_wmi snd_seq_device lib80211_crypt_tkip sparse_keymap snd_pcm wl(PO) snd_timer snd soundcore lib80211 snd_page_alloc rfkill microcode kvm_intel kvm xts gf128mul dm_crypt wmi video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 1565, comm: khidpd_04580058 Tainted: P           O 2.6.43.1-2.fc15.x86_64 #1 Acer Aspire 8950G/SM80_HR
RIP: 0010:[<ffffffff81617fbf>]  [<ffffffff81617fbf>] _raw_spin_lock_irqsave+0x1f/0x40
RSP: 0018:ffff88040e017da0  EFLAGS: 00010083
RAX: 0000000000010000 RBX: 0000000000000000 RCX: 0000000000007112
RDX: 0000000000000283 RSI: ffff88040e017e80 RDI: 0000000000000000
RBP: ffff88040e017da0 R08: ffff88040e016000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: ffff88040e017e80
R13: ffff88040e017e98 R14: ffff88041b63d2d0 R15: 00000000000000a1
FS:  0000000000000000(0000) GS:ffff88043f580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000001c05000 CR4: 00000000000406e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process khidpd_04580058 (pid: 1565, threadinfo ffff88040e016000, task ffff88040e59ae60)
Stack:
 ffff88040e017dd0 ffffffff8107a625 0000000000000000 ffff88041b63d200
 ffff88041b5cdc00 ffff88041b63d2d0 ffff88040e017ee0 ffffffffa076df95
 ffff88040e017e40 ffffffff810136f6 ffff88040e59ae60 ffff88041b63d330
Call Trace:
 [<ffffffff8107a625>] finish_wait+0x45/0x90
 [<ffffffffa076df95>] hidp_session+0x795/0xa50 [hidp]
 [<ffffffff810136f6>] ? __switch_to+0xf6/0x410
 [<ffffffff81088b90>] ? try_to_wake_up+0x2b0/0x2b0
 [<ffffffff81088b90>] ? try_to_wake_up+0x2b0/0x2b0
 [<ffffffff8107a540>] ? remove_wait_queue+0x50/0x50
 [<ffffffffa076d800>] ? hidp_input_report+0x2c0/0x2c0 [hidp]
 [<ffffffff81079af3>] kthread+0x93/0xa0
 [<ffffffff816212a4>] kernel_thread_helper+0x4/0x10
 [<ffffffff81079a60>] ? kthread_freezable_should_stop+0x70/0x70
 [<ffffffff816212a0>] ? gs_change+0x13/0x13
Code: 00 10 00 74 05 e8 f2 02 ce ff 5d c3 55 48 89 e5 66 66 66 66 90 9c 58 66 66 90 66 90 48 89 c2 fa 66 66 90 66 66 90 b8 00 00 01 00 <f0> 0f c1 07 89 c1 c1 e9 10 66 39 c1 74 0d 0f 1f 00 f3 90 0f b7 
RIP  [<ffffffff81617fbf>] _raw_spin_lock_irqsave+0x1f/0x40
 RSP <ffff88040e017da0>
CR2: 0000000000000000
Comment 15 Zahir Toufie 2012-10-15 19:39:57 EDT
Tried with kernel 3.5.6-1 and KDe on FC 17 x86_64 and this is still a problem for me.

Oct 16 08:00:49 mzt kernel: [  432.080526] BUG: unable to handle kernel NULL pointer dereference at           (null)
Oct 16 08:00:49 mzt kernel: [  432.080539] IP: [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 08:00:49 mzt kernel: [  432.080556] PGD 0 
Oct 16 08:00:49 mzt kernel: [  432.080562] Oops: 0002 [#1] SMP 
Oct 16 08:00:49 mzt kernel: [  432.080569] CPU 7 
Oct 16 08:00:49 mzt kernel: [  432.080571] Modules linked in: hidp ebtable_nat ebtables michael_mic ipt_MASQUERADE arc4 iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic lockd sunrpc uio cxgb4i cxgb4 cxgb3i cxgb3 rfcomm mdio libcxgbi bnep ib_iser nf_conntrack_ipv4 rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state iscsi_tcp libiscsi_tcp libiscsi nf_conntrack scsi_transport_iscsi ip6table_filter ip6_tables fuse lib80211_crypt_tkip vhost_net btusb wl(PO) tun macvtap bluetooth snd_hda_codec_hdmi macvlan snd_hda_codec_realtek coretemp kvm_intel snd_hda_intel fglrx(PO) kvm snd_hda_codec uvcvideo snd_hwdep videobuf2_vmalloc videobuf2_memops videobuf2_core snd_seq snd_seq_device snd_pcm videodev cfg80211 r8169 acer_wmi snd_page_alloc snd_timer media snd mei sparse_keymap mii uinput rfkill binfmt_misc amd_iommu_v2 joydev lpc_ich mfd_core i2c_i801 microcode serio_raw soundcore lib80211 xts gf128mul dm_cry
Oct 16 08:00:49 mzt kernel: pt crc32c_intel ghash_clmulni_intel video wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Oct 16 08:00:49 mzt kernel: [  432.080762] 
Oct 16 08:00:49 mzt kernel: [  432.080768] Pid: 10169, comm: khidpd_04580058 Tainted: P           O 3.5.6-1.fc17.x86_64 #1 Acer Aspire 8950G/SM80_HR
Oct 16 08:00:49 mzt kernel: [  432.080776] RIP: 0010:[<ffffffff8160d95f>]  [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 08:00:49 mzt kernel: [  432.080786] RSP: 0018:ffff88038d037da0  EFLAGS: 00010082
Oct 16 08:00:49 mzt kernel: [  432.080790] RAX: 0000000000000282 RBX: 0000000000000000 RCX: dead000000200200
Oct 16 08:00:49 mzt kernel: [  432.080793] RDX: 0000000000000100 RSI: 0000000000000282 RDI: 0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.080796] RBP: ffff88038d037da0 R08: ffff88038d037e78 R09: 0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.080800] R10: 0000000000000001 R11: 0000000000000000 R12: ffff88038d037e38
Oct 16 08:00:49 mzt kernel: [  432.080803] R13: ffff8803e28618d0 R14: 0000000000000000 R15: 0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.080807] FS:  0000000000000000(0000) GS:ffff88043f5c0000(0000) knlGS:0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.080811] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct 16 08:00:49 mzt kernel: [  432.080815] CR2: 0000000000000000 CR3: 0000000001c0b000 CR4: 00000000000407e0
Oct 16 08:00:49 mzt kernel: [  432.080819] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.080823] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 16 08:00:49 mzt kernel: [  432.080827] Process khidpd_04580058 (pid: 10169, threadinfo ffff88038d036000, task ffff8803faf4dc80)
Oct 16 08:00:49 mzt kernel: [  432.080830] Stack:
Oct 16 08:00:49 mzt kernel: [  432.080833]  ffff88038d037dd0 ffffffff8107bc54 0000000000000000 ffff8803e2861800
Oct 16 08:00:49 mzt kernel: [  432.080842]  ffff8803e28618e8 ffff8803e28618d0 ffff88038d037ee0 ffffffffa0bace01
Oct 16 08:00:49 mzt kernel: [  432.080850]  ffff88038d037e20 ffff8803faf4dc80 ffff8803e2861930 ffff8803b86cb800
Oct 16 08:00:49 mzt kernel: [  432.080858] Call Trace:
Oct 16 08:00:49 mzt kernel: [  432.080871]  [<ffffffff8107bc54>] remove_wait_queue+0x24/0x50
Oct 16 08:00:49 mzt kernel: [  432.080881]  [<ffffffffa0bace01>] hidp_session+0x631/0xa80 [hidp]
Oct 16 08:00:49 mzt kernel: [  432.080891]  [<ffffffff8108d5f0>] ? try_to_wake_up+0x2c0/0x2c0
Oct 16 08:00:49 mzt kernel: [  432.080898]  [<ffffffff8108d5f0>] ? try_to_wake_up+0x2c0/0x2c0
Oct 16 08:00:49 mzt kernel: [  432.080906]  [<ffffffffa0bac7d0>] ? hidp_input_report.isra.3+0x290/0x290 [hidp]
Oct 16 08:00:49 mzt kernel: [  432.080914]  [<ffffffff8107b183>] kthread+0x93/0xa0
Oct 16 08:00:49 mzt kernel: [  432.080925]  [<ffffffff81616b64>] kernel_thread_helper+0x4/0x10
Oct 16 08:00:49 mzt kernel: [  432.080934]  [<ffffffff8107b0f0>] ? kthread_freezable_should_stop+0x70/0x70
Oct 16 08:00:49 mzt kernel: [  432.080942]  [<ffffffff81616b60>] ? gs_change+0x13/0x13
Oct 16 08:00:49 mzt kernel: [  432.080945] Code: 38 dd cc ff 48 89 d0 5d c3 0f 1f 00 55 48 89 e5 66 66 66 66 90 9c 58 66 66 90 66 90 48 89 c6 fa 66 66 90 66 66 90 ba 00 01 00 00 <f0> 66 0f c1 17 0f b6 ce 38 d1 74 0e 0f 1f 44 00 00 f3 90 0f b6 
Oct 16 08:00:49 mzt kernel: [  432.081021] RIP  [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 08:00:49 mzt kernel: [  432.081029]  RSP <ffff88038d037da0>
Oct 16 08:00:49 mzt kernel: [  432.081032] CR2: 0000000000000000
Oct 16 08:00:49 mzt kernel: [  432.081038] ---[ end trace d781f99e3192a335 ]---
Comment 16 Zahir Toufie 2012-10-15 19:41:06 EDT
I've also tried this with blueman but that causes other crashed which I've logged here bug 866707
Comment 17 Zahir Toufie 2012-10-15 19:46:18 EDT
Created attachment 627789 [details]
lsusb -n Details

This is the output from an lsusb -n on my Acer 8950G notebook.
Comment 18 Zahir Toufie 2012-10-15 19:48:04 EDT
Created attachment 627790 [details]
lspci -v Details

This is the output for lspci -v on my Acer 8950G notebook.
Comment 19 Zahir Toufie 2012-10-15 22:08:23 EDT
Tried using the bluez testing tools from bluez-4.99.tar.gz to see how that handles things. Output as follows;

$ ./test-device list
00:10:C6:54:C5:8D Acer  Bluetooth Optical Rechargeable Mouse

$ ./test-device remove 00:10:C6:54:C5:8D

$ ./test-device list

$ ./simple-agent hci0 00:10:C6:54:C5:8D
Creating device failed: org.bluez.Error.ConnectionAttemptFailed: Page Timeout


Ihave no idea what Page Timeout would mean to debug it further.
Comment 20 Bastien Nocera 2012-10-16 02:08:01 EDT
kernel bugs go to the kernel.
Comment 21 Zahir Toufie 2012-10-16 04:42:07 EDT
Using dbus directly to interrogate bluez yields me this.

$ dbus-send --system --dest=org.bluez --print-reply / org.bluez.Manager.DefaultAdapter | tail -1 | sed 's/^.*"\(.*\)".*$/\1/'
/org/bluez/820/hci0

$ test-device list
00:10:C6:54:C5:8D Acer  Bluetooth Optical Rechargeable Mouse

$ dbus-send --system --dest=org.bluez --print-reply /org/bluez/820/hci0/dev_00_10_C6_54_C5_8D org.bluez.Input.Connect
Error org.bluez.Error.Failed: No such device

The error also causes bluetoothd to die horribly and not even systemctl restart or kill -9 can get it back, a hard reboot is the only way to recover.

Oct 16 19:30:43 mzt bluetoothd[820]: bluetoothd[820]: No such device
Oct 16 19:30:43 mzt kernel: [  564.303345] VFS: Close: file count is 0
Oct 16 19:30:43 mzt bluetoothd[820]: No such device
Oct 16 19:30:44 mzt kernel: [  564.801819] BUG: unable to handle kernel NULL pointer dereference at           (null)
Oct 16 19:30:44 mzt kernel: [  564.801834] IP: [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 19:30:44 mzt kernel: [  564.801850] PGD 0                                                                             
Oct 16 19:30:44 mzt kernel: [  564.801856] Oops: 0002 [#1] SMP                                                               
Oct 16 19:30:44 mzt kernel: [  564.801863] CPU 0                                                                             
Oct 16 19:30:44 mzt kernel: [  564.801865] Modules linked in: tcp_lp hidp ebtable_nat ebtables michael_mic arc4 ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 lockd mdio libcxgbi ib_iser sunrpc rdma_cm ib_addr iw_cm ib_cm rfcomm ib_sa ib_mad ib_core bnep iscsi_tcp libiscsi_tcp nf_conntrack_ipv4 ip6t_REJECT libiscsi nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack scsi_transport_iscsi ip6table_filter ip6_tables fuse snd_hda_codec_hdmi snd_hda_codec_realtek vhost_net snd_hda_intel lib80211_crypt_tkip fglrx(PO) tun macvtap macvlan wl(PO) snd_hda_codec snd_hwdep coretemp snd_seq snd_seq_device snd_pcm uvcvideo btusb bluetooth kvm_intel videobuf2_vmalloc videobuf2_memops videobuf2_core videodev lpc_ich media kvm snd_page_alloc snd_timer snd r8169 mfd_core amd_iommu_v2 cfg80211 lib80211 mei mii acer_wmi i2c_i801 soundcore serio_raw sparse_keymap joydev rfkill uinput microcode binfmt_misc xts gf128mul
Oct 16 19:30:44 mzt kernel: dm_crypt crc32c_intel ghash_clmulni_intel wmi video radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Oct 16 19:30:44 mzt kernel: [  564.802032] 
Oct 16 19:30:44 mzt kernel: [  564.802038] Pid: 9531, comm: khidpd_04580058 Tainted: P           O 3.5.6-1.fc17.x86_64 #1 Acer Aspire 8950G/SM80_HR
Oct 16 19:30:44 mzt kernel: [  564.802045] RIP: 0010:[<ffffffff8160d95f>]  [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 19:30:44 mzt kernel: [  564.802056] RSP: 0018:ffff8803b3a17da0  EFLAGS: 00010093
Oct 16 19:30:44 mzt kernel: [  564.802060] RAX: 0000000000000293 RBX: ffff8803b3a17e88 RCX: 0000000000000013
Oct 16 19:30:44 mzt kernel: [  564.802064] RDX: 0000000000000100 RSI: 0000000000000293 RDI: 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802067] RBP: ffff8803b3a17da0 R08: ffff8803b3a16000 R09: 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802070] R10: 0000000000000001 R11: 0000000000000000 R12: ffff8803b3a17ea0
Oct 16 19:30:44 mzt kernel: [  564.802073] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802078] FS:  0000000000000000(0000) GS:ffff88043f400000(0000) knlGS:0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802082] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct 16 19:30:44 mzt kernel: [  564.802086] CR2: 0000000000000000 CR3: 0000000001c0b000 CR4: 00000000000407f0
Oct 16 19:30:44 mzt kernel: [  564.802090] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802093] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 16 19:30:44 mzt kernel: [  564.802098] Process khidpd_04580058 (pid: 9531, threadinfo ffff8803b3a16000, task ffff8803ea30dc80)
Oct 16 19:30:44 mzt kernel: [  564.802100] Stack:
Oct 16 19:30:44 mzt kernel: [  564.802103]  ffff8803b3a17dd0 ffffffff8107be95 ffff8803aed23400 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802113]  ffff880404f0f800 0000000000000000 ffff8803b3a17ee0 ffffffffa0ba8f75
Oct 16 19:30:44 mzt kernel: [  564.802121]  ffff8803b3a17e20 ffff8803ea30dc80 ffff8803aed23530 ffff8803c29e9800
Oct 16 19:30:44 mzt kernel: [  564.802129] Call Trace:
Oct 16 19:30:44 mzt kernel: [  564.802142]  [<ffffffff8107be95>] finish_wait+0x45/0x80
Oct 16 19:30:44 mzt kernel: [  564.802153]  [<ffffffffa0ba8f75>] hidp_session+0x7a5/0xa80 [hidp]
Oct 16 19:30:44 mzt kernel: [  564.802163]  [<ffffffff8108d5f0>] ? try_to_wake_up+0x2c0/0x2c0
Oct 16 19:30:44 mzt kernel: [  564.802171]  [<ffffffff8108d5f0>] ? try_to_wake_up+0x2c0/0x2c0
Oct 16 19:30:44 mzt kernel: [  564.802179]  [<ffffffff8107bb90>] ? wake_up_bit+0x40/0x40
Oct 16 19:30:44 mzt kernel: [  564.802187]  [<ffffffffa0ba87d0>] ? hidp_input_report.isra.3+0x290/0x290 [hidp]
Oct 16 19:30:44 mzt kernel: [  564.802195]  [<ffffffff8107b183>] kthread+0x93/0xa0
Oct 16 19:30:44 mzt kernel: [  564.802206]  [<ffffffff81616b64>] kernel_thread_helper+0x4/0x10
Oct 16 19:30:44 mzt kernel: [  564.802215]  [<ffffffff8107b0f0>] ? kthread_freezable_should_stop+0x70/0x70
Oct 16 19:30:44 mzt kernel: [  564.802223]  [<ffffffff81616b60>] ? gs_change+0x13/0x13
Oct 16 19:30:44 mzt kernel: [  564.802225] Code: 38 dd cc ff 48 89 d0 5d c3 0f 1f 00 55 48 89 e5 66 66 66 66 90 9c 58 66 66 90 66 90 48 89 c6 fa 66 66 90 66 66 90 ba 00 01 00 00 <f0> 66 0f c1 17 0f b6 ce 38 d1 74 0e 0f 1f 44 00 00 f3 90 0f b6 
Oct 16 19:30:44 mzt kernel: [  564.802301] RIP  [<ffffffff8160d95f>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 16 19:30:44 mzt kernel: [  564.802309]  RSP <ffff8803b3a17da0>
Oct 16 19:30:44 mzt kernel: [  564.802312] CR2: 0000000000000000
Oct 16 19:30:44 mzt kernel: [  564.802319] ---[ end trace 31e52f193b5f2bcb ]---
Comment 22 Zahir Toufie 2012-10-16 23:39:02 EDT
Did some more debugging with the bluez-compat-4.99 package as I still had my notes for setting the mouse up under the older bluez.

/etc/bluetooth/rfcomm.conf:
#
# RFCOMM configuration file.
#

rfcomm0 {
        # Automatically bind the device at startup
        bind yes;

        # Bluetooth address of the Acer Mouse
        device 00:10:C6:54:C5:8D;

        # RFCOMM channel for the connection
        channel 1;

        # Description of the connection
        comment "Acer HSTNC-002W Bluetooth Optical Rechargeable Mouse";
}


Binding the rfcomm device seems to work

$ sudo rfcomm bind 0


Checking the bind action yields this. The channel does say "closed" though?

$ sudo rfcomm
rfcomm0: 00:10:C6:54:C5:8D channel 1 closed 


When I run hidd, I again get that "No such device" error as with my previous post.

$ sudo hidd --search
Searching ...
        Connecting to device 00:10:C6:54:C5:8D
HID create error 19 (No such device)
Comment 23 Zahir Toufie 2012-10-23 16:45:49 EDT
Tested with kernel-3.6.2-4.fc17.x86_64

Oct 23 19:31:10 mzt bluetoothd[842]: bluetoothd[842]: No such device
Oct 23 19:31:10 mzt kernel: [  338.949561] VFS: Close: file count is 0
Oct 23 19:31:10 mzt bluetoothd[842]: No such device
Oct 23 19:31:11 mzt kernel: [  339.449014] BUG: unable to handle kernel NULL pointer dereference at           (null)
Oct 23 19:31:11 mzt kernel: [  339.449026] IP: [<ffffffff8161a8cf>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 23 19:31:11 mzt kernel: [  339.449031] PGD 0 
Oct 23 19:31:11 mzt kernel: [  339.449033] Oops: 0002 [#1] SMP 
Oct 23 19:31:11 mzt kernel: [  339.449035] Modules linked in: michael_mic arc4 hidp ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 lockd sunrpc mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa rfcomm bnep ib_mad ib_core iscsi_tcp libiscsi_tcp ip6t_REJECT libiscsi nf_conntrack_ipv6 scsi_transport_iscsi nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables uvcvideo fuse videobuf2_vmalloc videobuf2_memops lib80211_crypt_tkip videobuf2_core videodev snd_hda_codec_hdmi media snd_hda_codec_realtek vhost_net fglrx(PO) wl(PO) coretemp tun cfg80211 iTCO_wdt snd_hda_intel macvtap iTCO_vendor_support snd_hda_codec macvlan btusb bluetooth r8169 kvm_intel acer_wmi sparse_keymap snd_hwdep snd_seq snd_seq_device lib80211 snd_pcm mei kvm rfkill snd_page_alloc snd_timer snd i2c_i801 lpc_ich mii mfd_core microcode joydev soundcore serio_raw amd_iommu_v2 uinput bi
Oct 23 19:31:11 mzt kernel: nfmt_misc xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel wmi video radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
Oct 23 19:31:11 mzt kernel: [  339.449087] CPU 4 
Oct 23 19:31:11 mzt kernel: [  339.449090] Pid: 9957, comm: khidpd_04580058 Tainted: P           O 3.6.2-4.fc17.x86_64 #1 Acer Aspire 8950G/SM80_HR
Oct 23 19:31:11 mzt kernel: [  339.449091] RIP: 0010:[<ffffffff8161a8cf>]  [<ffffffff8161a8cf>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 23 19:31:11 mzt kernel: [  339.449094] RSP: 0018:ffff8803c61b1da0  EFLAGS: 00010016
Oct 23 19:31:11 mzt kernel: [  339.449095] RAX: 0000000000000216 RBX: ffff8803c61b1e88 RCX: 0000000000000001
Oct 23 19:31:11 mzt kernel: [  339.449096] RDX: 0000000000000100 RSI: 0000000000000216 RDI: 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449097] RBP: ffff8803c61b1da0 R08: ffff8803c61b0000 R09: 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449098] R10: 0000000000000001 R11: 0000000000000000 R12: ffff8803c61b1ea0
Oct 23 19:31:11 mzt kernel: [  339.449099] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449101] FS:  0000000000000000(0000) GS:ffff88043f500000(0000) knlGS:0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449102] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Oct 23 19:31:11 mzt kernel: [  339.449103] CR2: 0000000000000000 CR3: 0000000001c0b000 CR4: 00000000000407e0
Oct 23 19:31:11 mzt kernel: [  339.449104] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449105] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 23 19:31:11 mzt kernel: [  339.449106] Process khidpd_04580058 (pid: 9957, threadinfo ffff8803c61b0000, task ffff8803a3a84530)
Oct 23 19:31:11 mzt kernel: [  339.449107] Stack:
Oct 23 19:31:11 mzt kernel: [  339.449108]  ffff8803c61b1dd0 ffffffff8107f925 ffff8803b1409e00 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449111]  ffff8804255c2c00 0000000000000000 ffff8803c61b1ee0 ffffffffa0bcdf75
Oct 23 19:31:11 mzt kernel: [  339.449113]  ffff8803c61b1e20 ffff8803a3a84530 ffff8803b1409f30 ffff880423a39000
Oct 23 19:31:11 mzt kernel: [  339.449115] Call Trace:
Oct 23 19:31:11 mzt kernel: [  339.449119]  [<ffffffff8107f925>] finish_wait+0x45/0x80
Oct 23 19:31:11 mzt kernel: [  339.449123]  [<ffffffffa0bcdf75>] hidp_session+0x7a5/0xa80 [hidp]
Oct 23 19:31:11 mzt kernel: [  339.449126]  [<ffffffff81091230>] ? try_to_wake_up+0x2c0/0x2c0
Oct 23 19:31:11 mzt kernel: [  339.449129]  [<ffffffff81091230>] ? try_to_wake_up+0x2c0/0x2c0
Oct 23 19:31:11 mzt kernel: [  339.449131]  [<ffffffff8107f620>] ? wake_up_bit+0x40/0x40
Oct 23 19:31:11 mzt kernel: [  339.449133]  [<ffffffffa0bcd7d0>] ? hidp_input_report.isra.3+0x290/0x290 [hidp]
Oct 23 19:31:11 mzt kernel: [  339.449135]  [<ffffffff8107ec13>] kthread+0x93/0xa0
Oct 23 19:31:11 mzt kernel: [  339.449138]  [<ffffffff81623884>] kernel_thread_helper+0x4/0x10
Oct 23 19:31:11 mzt kernel: [  339.449140]  [<ffffffff8107eb80>] ? kthread_freezable_should_stop+0x70/0x70
Oct 23 19:31:11 mzt kernel: [  339.449141]  [<ffffffff81623880>] ? gs_change+0x13/0x13
Oct 23 19:31:11 mzt kernel: [  339.449142] Code: d8 af cc ff 48 89 d0 5d c3 0f 1f 00 55 48 89 e5 66 66 66 66 90 9c 58 66 66 90 66 90 48 89 c6 fa 66 66 90 66 66 90 ba 00 01 00 00 <f0> 66 0f c1 17 0f b6 ce 38 d1 74 0e 0f 1f 44 00 00 f3 90 0f b6 
Oct 23 19:31:11 mzt kernel: [  339.449162] RIP  [<ffffffff8161a8cf>] _raw_spin_lock_irqsave+0x1f/0x40
Oct 23 19:31:11 mzt kernel: [  339.449164]  RSP <ffff8803c61b1da0>
Oct 23 19:31:11 mzt kernel: [  339.449165] CR2: 0000000000000000
Oct 23 19:31:11 mzt kernel: [  339.449167] ---[ end trace f3a90317c568f3ac ]---
Comment 24 Zahir Toufie 2012-10-24 20:30:23 EDT
More info

$ usb-devices

T:  Bus=02 Lev=02 Prnt=02 Port=04 Cnt=02 Dev#=  4 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=0489 ProdID=e010 Rev=06.03
S:  Manufacturer=Broadcom Corp
S:  Product=Acer Module
S:  SerialNumber=18F46AD8AFC0
C:  #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I:  If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I:  If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I:  If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)


Also I checked the the specs for the actual chip and it's listed as a

Broadcom BCM92070MD Bluetooth 3.0
Comment 25 Zahir Toufie 2013-04-29 20:31:05 EDT
Woohoo, looks like my mouse is now pairing correctly and usable under the latest FC18 Kernel and Bluez.

Installation details;

$ uname -a
Linux mzt.alludra.com 3.8.9-200.fc18.x86_64 #1 SMP Fri Apr 26 12:50:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ rpm -qa | grep bluez
bluez-4.101-6.fc18.x86_64
bluez-compat-4.101-6.fc18.x86_64
bluez-cups-4.101-6.fc18.x86_64
bluez-gstreamer-4.101-6.fc18.x86_64
bluez-hcidump-2.4-2.fc18.x86_64
bluez-hid2hci-4.101-6.fc18.x86_64
bluez-libs-4.101-6.fc18.x86_64

Thanks for fixing this one guys :-)

Note You need to log in before you can comment on or make changes to this bug.